;;; packages.el --- dired-phundrak layer packages file for Spacemacs.
;;
;; Copyright (c) 2012-2018 Sylvain Benner & Contributors
;;
;; Author: Lucien Cartier-Tilet <phundrak@phundrak.fr>
;; URL: https://github.com/syl20bnr/spacemacs
;;
;; This file is not part of GNU Emacs.
;;
;;; License: GPLv3

(global-set-key (kbd "<s-f1>") (lambda () (interactive) (dired "~/")))

(defconst dired-phundrak-packages '(dired-x image-dired+ org-download)
  "The list of Lisp packages required by the dired-phundrak layer.")

(defun dired-phundrak/post-init-dired-x ()
  "Initializes dired-x and adds keybindings for its exposed functionalities."
  (use-package dired-x
    :defer t
    :init (progn
            (define-key dired-mode-map "f" 'phundrak//open-marked-files)
            (define-key dired-mode-map "F" 'xah//open-in-external-app)
            (define-key dired-mode-map "s" 'xah//dired-sort)
            (define-key dired-mode-map "-" 'xah//dired-rename-space-to-hyphen)
            (define-key dired-mode-map "_" 'xah//dired-rename-space-to-underscore))))

(defun dired-phundrak/init-image-dired+ ()
  "Initializes image-dired+ and adds keybindings for its exposed functionalities."
  (use-package image-dired+
    :defer t
    :init ()))

(defun dired-phundrak/post-init-org-download ()
  "Initializes org-download and adds keybindings for its exposed functionalities."
  (use-package org-download
    :defer t
    :init ()))

;;; packages.el ends here
